%define oldname vertex-theme

Summary:	A theme for Gtk3, Gtk2, Gnome-Shell and Cinnamon
Name:		vertex-gtk-theme
Version:	20170128
Release:	%mkrel 1
URL:		https://github.com/horst3180/vertex-theme
License:	GPL3
Group:		System/Configuration/Theme
Source0:	https://github.com/horst3180/vertex-theme/archive/%{oldname}-%{version}.tar.xz
Source1:    	pclos-alone.jpg
BuildArch:	noarch
BuildRequires:	autoconf automake %{_lib}gtk+3.0-devel
Requires:	gtk-murrine-engine
Requires:   	numix-cursor-theme
Requires:   	numix-icon-theme-circle

%description
Vertex is a theme for Gtk3, Gtk2, Gnome-Shell and Cinnamon. It supports
Gtk3 and Gtk2 based desktop environments like Gnome, Cinnamon, MATE, Xfce,
Budgie, Pantheon, etc. Themes for the Browsers Chrome/Chromium and Firefox
are included, too.

The theme comes with three variants to choose from. The default variant with
dark header-bars, a light variant, and a dark variant.

With backgrounds by memovaslg:
http://memovaslg.deviantart.com/art/Alone-353235628

%prep
%setup -qn %oldname-%version

%build
./autogen.sh --prefix=/usr
make

%install
rm -rf %{buildroot}
%make_install
# optional, but visually pleasing changes
sed -i -e 's|gnome|Numix-Circle|' -e 's|DMZ-Black|Numix|' %{buildroot}%{_datadir}/themes/Vertex*/index.theme
cp %{SOURCE1} %{buildroot}%{_datadir}/themes/Vertex
sed -i '$a BackgroundImage=/usr/share/themes/Vertex/pclos-alone.jpg' %{buildroot}%{_datadir}/themes/Vertex*/index.theme

%files
%defattr(-,root,root)
%doc AUTHORS NEWS ChangeLog README.md COPYING
%{_datadir}/themes/Vertex*

%clean
rm -rf %{buildroot}


%changelog
* Mon Dec 18 2017 Zen Subz <techars21 at gmail dot com> - 20170128-1pclos2017
- Initial build for PCLinuxOS
